tbb::internal::task_stream_accessor< back_nonnull_accessor > Class Template Reference

`#include <task_stream_extended.h>`

Inheritance diagram for tbb::internal::task_stream_accessor< back_nonnull_accessor >:
Collaboration diagram for tbb::internal::task_stream_accessor< back_nonnull_accessor >:

## Protected Member Functions

task * | get_item (lane_t::queue_base_t &queue)

## Additional Inherited Members

Protected Types inherited from tbb::internal::task_stream_base
typedef queue_and_mutex< task *, spin_mutex > | lane_t

## Detailed Description

### template<>
class tbb::internal::task_stream_accessor< back_nonnull_accessor >

Definition at line 147 of file task_stream_extended.h.

## Member Function Documentation

## get_item()

task* tbb::internal::task_stream_accessor< back_nonnull_accessor >::get_item | ( | lane_t::queue_base_t & | queue | ) |

inline protected

Definition at line 149 of file task_stream_extended.h.

{
task* result = NULL;
do {
result = queue.back();
queue.pop_back();
} while( !result && !queue.empty() );
return result;
}

The documentation for this class was generated from the following file:

- task_stream_extended.h

task
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task * task
Definition: ittnotify_static.h:119

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.